<html>
<head>
<title>OgreMaterialManager.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreMaterialManager.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreMaterialManager_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __MATERIALMANAGER_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __MATERIALMANAGER_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreSingleton_8h.html">OgreSingleton.h</a>&quot;</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreResourceManager_8h.html">OgreResourceManager.h</a>&quot;</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include &quot;<a class="code" href="OgreMaterial_8h.html">OgreMaterial.h</a>&quot;</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include &quot;<a class="code" href="OgreStringVector_8h.html">OgreStringVector.h</a>&quot;</span>
<a name="l00037"></a>00037 <span class="preprocessor">#include &quot;<a class="code" href="OgreMaterialSerializer_8h.html">OgreMaterialSerializer.h</a>&quot;</span>
<a name="l00038"></a>00038 
<a name="l00039"></a>00039 <span class="keyword">namespace </span>Ogre {
<a name="l00040"></a>00040 
<a name="l00041"></a>00041 
<a name="l00063"></a><a class="code" href="classOgre_1_1MaterialManager.html">00063</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1MaterialManager.html" title="Class for managing Material settings for Ogre.">MaterialManager</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a>, <span class="keyword">public</span> <a class="code" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>&lt;MaterialManager&gt;
<a name="l00064"></a>00064     {
<a name="l00065"></a>00065     <span class="keyword">public</span>:
<a name="l00069"></a><a class="code" href="classOgre_1_1MaterialManager_1_1Listener.html">00069</a>         <span class="keyword">class </span><a class="code" href="classOgre_1_1MaterialManager_1_1Listener.html" title="Listener on any general material events.">Listener</a>
<a name="l00070"></a>00070         {
<a name="l00071"></a>00071         <span class="keyword">public</span>:
<a name="l00073"></a><a class="code" href="classOgre_1_1MaterialManager_1_1Listener.html#aa701d203c20e60133d82305454f366f5">00073</a>             <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1MaterialManager_1_1Listener.html#aa701d203c20e60133d82305454f366f5" title="Virtual destructor needed as class has virtual methods.">~Listener</a>() { }
<a name="l00103"></a>00103             <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a>* handleSchemeNotFound(<span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> schemeIndex, 
<a name="l00104"></a>00104                 <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; schemeName, <a class="code" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a>* originalMaterial, <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> lodIndex, 
<a name="l00105"></a>00105                 <span class="keyword">const</span> <a class="code" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>* rend) = 0;
<a name="l00106"></a>00106 
<a name="l00107"></a>00107         };
<a name="l00108"></a>00108 
<a name="l00109"></a>00109     <span class="keyword">protected</span>:
<a name="l00110"></a>00110 
<a name="l00112"></a><a class="code" href="classOgre_1_1MaterialManager.html#addbab0e5fa33603827fb6910dc4da4fc">00112</a>         <a class="code" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d" title="Filtering options for textures / mipmaps.">FilterOptions</a> <a class="code" href="classOgre_1_1MaterialManager.html#addbab0e5fa33603827fb6910dc4da4fc" title="Default Texture filtering - minification.">mDefaultMinFilter</a>;
<a name="l00114"></a><a class="code" href="classOgre_1_1MaterialManager.html#a43b5ea54e882349f6ba1fa3aa5929367">00114</a>         <a class="code" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d" title="Filtering options for textures / mipmaps.">FilterOptions</a> <a class="code" href="classOgre_1_1MaterialManager.html#a43b5ea54e882349f6ba1fa3aa5929367" title="Default Texture filtering - magnification.">mDefaultMagFilter</a>;
<a name="l00116"></a><a class="code" href="classOgre_1_1MaterialManager.html#a35288d7732b90a5e663229bc7b11fc88">00116</a>         <a class="code" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d" title="Filtering options for textures / mipmaps.">FilterOptions</a> <a class="code" href="classOgre_1_1MaterialManager.html#a35288d7732b90a5e663229bc7b11fc88" title="Default Texture filtering - mipmapping.">mDefaultMipFilter</a>;
<a name="l00118"></a><a class="code" href="classOgre_1_1MaterialManager.html#ae00a86199ee24546d57dd11d4042103e">00118</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1MaterialManager.html#ae00a86199ee24546d57dd11d4042103e" title="Default Texture anisotropy.">mDefaultMaxAniso</a>;
<a name="l00120"></a>00120         <a class="code" href="OgrePrerequisites_8h.html#a7bbad1426a73ac69e63279b16e0f8ac4">OGRE_THREAD_POINTER</a>(<a class="code" href="classOgre_1_1MaterialSerializer.html" title="Class for serializing Materials to / from a .material script.">MaterialSerializer</a>, mSerializer);
<a name="l00122"></a><a class="code" href="classOgre_1_1MaterialManager.html#ac2611431f6a1ab64ac9f490f3cd75c88">00122</a>         <a class="code" href="classOgre_1_1MaterialPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to MaterialPtr.">MaterialPtr</a> <a class="code" href="classOgre_1_1MaterialManager.html#ac2611431f6a1ab64ac9f490f3cd75c88" title="Default settings.">mDefaultSettings</a>;
<a name="l00124"></a>00124         <a class="code" href="classOgre_1_1Resource.html" title="Abstract class representing a loadable resource (e.g.">Resource</a>* createImpl(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <a class="code" href="namespaceOgre.html#aeb9f62c8e6c4239315286c63321722b2">ResourceHandle</a> handle, 
<a name="l00125"></a>00125             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; group, <span class="keywordtype">bool</span> isManual, <a class="code" href="classOgre_1_1ManualResourceLoader.html" title="Interface describing a manual resource loader.">ManualResourceLoader</a>* loader,
<a name="l00126"></a>00126             <span class="keyword">const</span> <a class="code" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19" title="Name / value parameter pair (first = name, second = value)">NameValuePairList</a>* params);
<a name="l00127"></a>00127 
<a name="l00129"></a><a class="code" href="classOgre_1_1MaterialManager.html#ae2b29711f518d4ce69019f9c202ef036">00129</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1map.html">map&lt;String, unsigned short&gt;::type</a> <a class="code" href="classOgre_1_1MaterialManager.html#ae2b29711f518d4ce69019f9c202ef036" title="Scheme name -&gt; index. Never shrinks! Should be pretty static anyway.">SchemeMap</a>;
<a name="l00131"></a><a class="code" href="classOgre_1_1MaterialManager.html#aa13083e7c3f5434196dc03ecf265b207">00131</a>         <a class="code" href="classOgre_1_1MaterialManager.html#ae2b29711f518d4ce69019f9c202ef036" title="Scheme name -&gt; index. Never shrinks! Should be pretty static anyway.">SchemeMap</a> <a class="code" href="classOgre_1_1MaterialManager.html#aa13083e7c3f5434196dc03ecf265b207" title="List of material schemes.">mSchemes</a>;
<a name="l00133"></a><a class="code" href="classOgre_1_1MaterialManager.html#a00cbcbc96a076d7debe2261365091e64">00133</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1MaterialManager.html#a00cbcbc96a076d7debe2261365091e64" title="Current material scheme.">mActiveSchemeName</a>;
<a name="l00135"></a><a class="code" href="classOgre_1_1MaterialManager.html#a5a6267d853cf944157e453afaa102f91">00135</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> <a class="code" href="classOgre_1_1MaterialManager.html#a5a6267d853cf944157e453afaa102f91" title="Current material scheme.">mActiveSchemeIndex</a>;
<a name="l00136"></a>00136 
<a name="l00138"></a><a class="code" href="classOgre_1_1MaterialManager.html#accf900555046df5a6eddb6583b7afff4">00138</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1list.html">list&lt;Listener*&gt;::type</a> <a class="code" href="classOgre_1_1MaterialManager.html#accf900555046df5a6eddb6583b7afff4" title="The list of per-scheme (and general) material listeners.">ListenerList</a>;
<a name="l00139"></a><a class="code" href="classOgre_1_1MaterialManager.html#a0eb27e62d53ef50e25cee05ed8ecdf9c">00139</a>         <span class="keyword">typedef</span> std::map&lt;String, ListenerList&gt; <a class="code" href="classOgre_1_1MaterialManager.html#a0eb27e62d53ef50e25cee05ed8ecdf9c">ListenerMap</a>;
<a name="l00140"></a><a class="code" href="classOgre_1_1MaterialManager.html#a960df545cc718f831e6da77bb3ff8e33">00140</a>         <a class="code" href="classOgre_1_1MaterialManager.html#a0eb27e62d53ef50e25cee05ed8ecdf9c">ListenerMap</a> <a class="code" href="classOgre_1_1MaterialManager.html#a960df545cc718f831e6da77bb3ff8e33">mListenerMap</a>;
<a name="l00141"></a>00141 
<a name="l00142"></a>00142     <span class="keyword">public</span>:
<a name="l00144"></a><a class="code" href="classOgre_1_1MaterialManager.html#a290b828b5d44637ee4d247a09ea81bd6">00144</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1MaterialManager.html#a290b828b5d44637ee4d247a09ea81bd6" title="Default material scheme.">DEFAULT_SCHEME_NAME</a>;
<a name="l00145"></a>00145         
<a name="l00148"></a>00148         <a class="code" href="classOgre_1_1MaterialManager.html" title="Class for managing Material settings for Ogre.">MaterialManager</a>();
<a name="l00149"></a>00149 
<a name="l00152"></a>00152         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1MaterialManager.html" title="Class for managing Material settings for Ogre.">MaterialManager</a>();
<a name="l00153"></a>00153 
<a name="l00156"></a>00156         <span class="keywordtype">void</span> initialise(<span class="keywordtype">void</span>);
<a name="l00157"></a>00157         
<a name="l00160"></a>00160         <span class="keywordtype">void</span> parseScript(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; groupName);
<a name="l00161"></a>00161 
<a name="l00162"></a>00162 
<a name="l00169"></a>00169         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setDefaultTextureFiltering(<a class="code" href="group__General.html#ga21a0186392e9c9ce16d29c5568a773c5" title="High-level filtering options providing shortcuts to settings the minification, magnification and mip ...">TextureFilterOptions</a> fo);
<a name="l00174"></a>00174         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setDefaultTextureFiltering(<a class="code" href="group__General.html#gac1fc36ec2f4df4b2afa9fa39f9c66c06">FilterType</a> ftype, <a class="code" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d" title="Filtering options for textures / mipmaps.">FilterOptions</a> opts);
<a name="l00179"></a>00179         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setDefaultTextureFiltering(<a class="code" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d" title="Filtering options for textures / mipmaps.">FilterOptions</a> minFilter, <a class="code" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d" title="Filtering options for textures / mipmaps.">FilterOptions</a> magFilter, <a class="code" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d" title="Filtering options for textures / mipmaps.">FilterOptions</a> mipFilter);
<a name="l00180"></a>00180 
<a name="l00182"></a>00182         <span class="keyword">virtual</span> <a class="code" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d" title="Filtering options for textures / mipmaps.">FilterOptions</a> getDefaultTextureFiltering(<a class="code" href="group__General.html#gac1fc36ec2f4df4b2afa9fa39f9c66c06">FilterType</a> ftype) <span class="keyword">const</span>;
<a name="l00183"></a>00183 
<a name="l00190"></a>00190         <span class="keywordtype">void</span> setDefaultAnisotropy(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> maxAniso);
<a name="l00192"></a>00192         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> getDefaultAnisotropy() <span class="keyword">const</span>;
<a name="l00193"></a>00193 
<a name="l00224"></a><a class="code" href="classOgre_1_1MaterialManager.html#a9d1148e47eea7811683298dcee8e6e41">00224</a>         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1MaterialPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to MaterialPtr.">MaterialPtr</a> <a class="code" href="classOgre_1_1MaterialManager.html#a9d1148e47eea7811683298dcee8e6e41" title="Returns a pointer to the default Material settings.">getDefaultSettings</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mDefaultSettings; }
<a name="l00225"></a>00225 
<a name="l00229"></a>00229         <span class="keyword">virtual</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> _getSchemeIndex(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00233"></a>00233         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; _getSchemeName(<span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> index);
<a name="l00237"></a>00237         <span class="keyword">virtual</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> _getActiveSchemeIndex(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00238"></a>00238 
<a name="l00242"></a>00242         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getActiveScheme(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00243"></a>00243         
<a name="l00247"></a>00247         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setActiveScheme(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; schemeName);
<a name="l00248"></a>00248 
<a name="l00253"></a>00253         <span class="keyword">virtual</span> <span class="keywordtype">void</span> addListener(Listener* l, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">Ogre::String</a>&amp; schemeName = <a class="code" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da" title="Constant blank string, useful for returning by ref where local does not exist.">StringUtil::BLANK</a>);
<a name="l00254"></a>00254 
<a name="l00259"></a>00259         <span class="keyword">virtual</span> <span class="keywordtype">void</span> removeListener(Listener* l, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">Ogre::String</a>&amp; schemeName = <a class="code" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da" title="Constant blank string, useful for returning by ref where local does not exist.">StringUtil::BLANK</a>);
<a name="l00260"></a>00260 
<a name="l00262"></a>00262         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a>* _arbitrateMissingTechniqueForActiveScheme(
<a name="l00263"></a>00263             <a class="code" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a>* mat, <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> lodIndex, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>* rend);
<a name="l00264"></a>00264 
<a name="l00280"></a>00280         <span class="keyword">static</span> <a class="code" href="classOgre_1_1MaterialManager.html" title="Class for managing Material settings for Ogre.">MaterialManager</a>&amp; getSingleton(<span class="keywordtype">void</span>);
<a name="l00296"></a>00296         <span class="keyword">static</span> <a class="code" href="classOgre_1_1MaterialManager.html" title="Class for managing Material settings for Ogre.">MaterialManager</a>* getSingletonPtr(<span class="keywordtype">void</span>);
<a name="l00297"></a>00297 
<a name="l00298"></a>00298     };
<a name="l00302"></a>00302 }
<a name="l00303"></a>00303 
<a name="l00304"></a>00304 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:50
</p>
</body>
</html>
